Package com.independentsoft.office.charts

# Class BackWall

java.lang.Object
com.independentsoft.office.charts.BackWall

public class BackWall extends Object
The Class BackWall.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BackWall()`
  Instantiates a new back wall.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BackWall`
  `clone()`
  `ChartShapeProperties`
  `getChartShapeProperties()`
  Gets the chart shape properties.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `PictureOptions`
  `getPictureOptions()`
  Gets the picture options.
  `int`
  `getThickness()`
  Gets the thickness.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setPictureOptions​(PictureOptions pictureOptions)`
  Sets the picture options.
  `void`
  `setThickness​(int thickness)`
  Sets the thickness.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BackWall

    public BackWall()
    Instantiates a new back wall.

- ## Method Details

  - ### clone

    public BackWall clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getPictureOptions

    public PictureOptions getPictureOptions()
    Gets the picture options.
    Returns:
      the picture options

  - ### setPictureOptions

    public void setPictureOptions​(PictureOptions pictureOptions)
    Sets the picture options.
    Parameters:
      `pictureOptions` - the new picture options

  - ### getChartShapeProperties

    public ChartShapeProperties getChartShapeProperties()
    Gets the chart shape properties.
    Returns:
      the chart shape properties

  - ### getThickness

    public int getThickness()
    Gets the thickness.
    Returns:
      the thickness

  - ### setThickness

    public void setThickness​(int thickness)
    Sets the thickness.
    Parameters:
      `thickness` - the new thickness